package schema

import (
	"time"
)

type DashboardVersion struct {
	ID            uint      `json:"id"`
	DashboardID   uint      `json:"dashboardId"`
	UID           string    `json:"uid"`
	ParentVersion uint      `json:"parentVersion"`
	RestoredFrom  uint      `json:"restoredFrom"`
	Version       uint      `json:"version"`
	Created       time.Time `json:"created"`
	CreatedBy     string    `json:"createdBy"`
	Message       string    `json:"message"`
	Data          any       `json:"data"`
}

type DashboardVersionListResponseV10 []DashboardVersion

type DashboardVersionListResponse struct {
	ContinueToken string                          `json:"continueToken"`
	Versions      DashboardVersionListResponseV10 `json:"versions"`
}
